VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::HardwareTypes::UpgradeStatus Class Reference

The `Hardware.UpgradeStatus` enumerated type defines the valid virtual hardware upgrade statuses for a virtual machine. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, NONE, PENDING, SUCCESS, FAILED }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static UpgradeStatus[] | GetValues ()
static UpgradeStatus | ValueOf (string name)
## Static Public Attributes
static readonly UpgradeStatus | NONE = new UpgradeStatus("NONE", Values.NONE)
| No scheduled upgrade has been attempted.
static readonly UpgradeStatus | PENDING = new UpgradeStatus("PENDING", Values.PENDING)
| Upgrade is scheduled but has not yet been run.
static readonly UpgradeStatus | SUCCESS = new UpgradeStatus("SUCCESS", Values.SUCCESS)
| The most recent scheduled upgrade was successful.
static readonly UpgradeStatus | FAILED = new UpgradeStatus("FAILED", Values.FAILED)
| The most recent scheduled upgrade was not successful.

## Detailed Description

The `Hardware.UpgradeStatus` enumerated type defines the valid virtual hardware upgrade statuses for a virtual machine.

## Member Enumeration Documentation

enum vmware::vcenter::vm::HardwareTypes::UpgradeStatus::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  NONE | No scheduled upgrade has been attempted.
  PENDING | Upgrade is scheduled but has not yet been run.
  SUCCESS | The most recent scheduled upgrade was successful.
  FAILED | The most recent scheduled upgrade was not successful.

## Member Function Documentation

Values vmware::vcenter::vm::HardwareTypes::UpgradeStatus::GetEnumValue | ( |  | ) | `[inline]`

static UpgradeStatus [] vmware::vcenter::vm::HardwareTypes::UpgradeStatus::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::HardwareTypes::UpgradeStatus::IsUnknown | ( |  | ) | `[inline]`

static UpgradeStatus vmware::vcenter::vm::HardwareTypes::UpgradeStatus::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly UpgradeStatus vmware::vcenter::vm::HardwareTypes::UpgradeStatus::FAILED = new UpgradeStatus("FAILED", Values.FAILED)`[static]`

The most recent scheduled upgrade was not successful.

readonly UpgradeStatus vmware::vcenter::vm::HardwareTypes::UpgradeStatus::NONE = new UpgradeStatus("NONE", Values.NONE)`[static]`

No scheduled upgrade has been attempted.

readonly UpgradeStatus vmware::vcenter::vm::HardwareTypes::UpgradeStatus::PENDING = new UpgradeStatus("PENDING", Values.PENDING)`[static]`

Upgrade is scheduled but has not yet been run.

readonly UpgradeStatus vmware::vcenter::vm::HardwareTypes::UpgradeStatus::SUCCESS = new UpgradeStatus("SUCCESS", Values.SUCCESS)`[static]`

The most recent scheduled upgrade was successful.

The documentation for this class was generated from the following file:

- HardwareTypes.cs